summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-13 23:28:28 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-13 23:28:28 +0100
commit5c23edfa4daabe15e2281ff88a29c550c16d513e (patch)
tree83409cb2e7a4cd1f8b02d4bd5d9608210ead50d0 /deps
parent715ac541d311d3e1e6a9176ed52dc0ef5f805f1d (diff)
downloadktown-5c23edfa4daabe15e2281ff88a29c550c16d513e.tar.gz
ktown-5c23edfa4daabe15e2281ff88a29c550c16d513e.tar.xz
Added exiv2-0.24 to the deps/ (requirement for kexiv2)
Diffstat (limited to 'deps')
-rwxr-xr-xdeps/alldeps.SlackBuild1
-rwxr-xr-xdeps/exiv2/exiv2.SlackBuild138
-rw-r--r--deps/exiv2/slack-desc19
-rwxr-xr-xdeps/updates.SlackBuild1
4 files changed, 159 insertions, 0 deletions
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index e3a5a67..fcf8a03 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -48,6 +48,7 @@ ALLDEPS=" \
polkit-qt5-1 \
poppler \
libepoxy \
+ exiv2 \
"
# Allow for specification of individual packages to be built:
diff --git a/deps/exiv2/exiv2.SlackBuild b/deps/exiv2/exiv2.SlackBuild
new file mode 100755
index 0000000..e2183b7
--- /dev/null
+++ b/deps/exiv2/exiv2.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+# Copyright 2007 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2008, 2009, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman at slackware.com>
+# Modified 2015 by Eric Hameleers <alien at slackware.com>
+
+PKGNAM=exiv2
+VERSION=${VERSION:-0.24}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+NUMJOBS=${NUMJOBS:--j6}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX="64"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+
+rm -rf ${PKGNAM}-$VERSION
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-xmp \
+ --build=$TARGET
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress man pages (if any):
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ COPYING* README* \
+ doc/{COPYING-XMPSDK,README-XMP,cmd.txt,cmdxmp.txt} \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r doc/ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat doc/ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r doc/ChangeLog $DOCSDIR/ChangeLog
+fi
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/exiv2/slack-desc b/deps/exiv2/slack-desc
new file mode 100644
index 0000000..2d8be68
--- /dev/null
+++ b/deps/exiv2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+exiv2: Exiv2 (Exif and IPTC Metadata Library and Tools)
+exiv2:
+exiv2: Exiv2 is a C++ library and a command line utility to read and write
+exiv2: Exif and IPTC image metadata.
+exiv2:
+exiv2: Homepage: http://www.exiv2.org/
+exiv2:
+exiv2:
+exiv2:
+exiv2:
+exiv2:
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index 83c14e4..de5bf87 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -41,6 +41,7 @@ ALLDEPS=" \
phonon-gstreamer \
polkit-qt5-1 \
libepoxy \
+ exiv2 \
"
# needed only by future kdepimlibs-framework
#akonadi-qt5 \